function [] = open(~, ~)
%OPENEDITTEMPERATURE Initializes the temperature editing gui.
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

%% Check if the gui is already opened

if isfield(artoaGui.figures, 'editTemperature')
    figure(artoaGui.figures.editTemperature);
    return
end


%% Open the gui
artoa.gui.edit.temperature();

%% Create workspace variables
artoaWorkspace.editTemperature = struct();

end

