function [] = applyToaAxesToGpsAndSoundsources()
%LINKALLAXES Summary of this function goes here
%   Detailed explanation goes here

global artoaGui;

% Set position
position = [.25 .1 .58 .8];
set(artoaGui.editTimeOfArrival.axesScatterTimeOfArrival, 'Position', position);

% apply details of toa to the other plots
set( ...
    artoaGui.editTimeOfArrival.axesToaFromGps, ...
    'Position', position, ...
    'YLim', artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.YLim, ...
    'XLim', artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.XLim ...
);
set( ...
    artoaGui.editTimeOfArrival.axesAppliedSoundsources, ...
    'Position', position, ...
    'YLim', artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.YLim, ...
    'XLim', artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.XLim ...
);

% hide top axes
artoaGui.editTimeOfArrival.axesToaFromGps.Visible = 'off';
artoaGui.editTimeOfArrival.axesToaFromGps.XTick = [];
artoaGui.editTimeOfArrival.axesToaFromGps.YTick = [];
artoaGui.editTimeOfArrival.axesAppliedSoundsources.Visible = 'off';
artoaGui.editTimeOfArrival.axesAppliedSoundsources.XTick = [];
artoaGui.editTimeOfArrival.axesAppliedSoundsources.YTick = [];
end

