function [] = resetShiftToa()
%SHIFTTOA Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

%% Ask for reset
if strcmp(questdlg('Reset all shifted values?', 'Confirmation', 'Yes', 'Cancel', 'Cancel'), 'Cancel')
    return;
end

%% Subtract empirical shift
artoaWorkspace.toaData.toa = artoaWorkspace.toaData.toa - artoaWorkspace.toaData.empiricalShift;
%% Reset empirical shift array
artoaWorkspace.toaData.empiricalShift(:) = 0;
%% Clear selection
[artoaGui.editTimeOfArrival, artoaWorkspace.editTimeOfArrival] = ...
    artoa.controller.edit.clearSelection(artoaGui.editTimeOfArrival, artoaWorkspace.editTimeOfArrival);
%% Update plots
artoa.controller.edit.updateAvailablePlots();


end

