function [] = tableDuplicateToaSelection(~, event)
%TABLESOUNDSOURCECOMBINATIONSSELECTION Summary of this function goes here
%   Detailed explanation goes here

global artoaGui;

try
    %% Get selected date
    date = str2double(artoaGui.editTimeOfArrival.tableDuplicateAppliedToa.Data{event.Indices(1), 2});
    toas = artoaGui.editTimeOfArrival.tableDuplicateAppliedToa.Data{event.Indices(1), 3};
    toas = strsplit(toas, ' ');
    
    %% Zoom to the selected points

    zoom(artoaGui.figures.editTimeOfArrival, 'reset');
    artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.XLim = [date - 25; date + 25];
    artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.YLim = [str2double(toas{1}) - 25; str2double(toas{end - 1}) + 25];
catch
end


end

