function [] = updateDuplicateToaTable()
%UPDATEDUPLICATETOATABLE Summary of this function goes here
%   Detailed explanation goes here


global artoaWorkspace artoaGui;


%% Get required data

fnames = fieldnames(artoaWorkspace.filteredSoundsources);
toaData = artoaWorkspace.toaData;

tableData = {};

%% Calculate duplicated data

for i = 1:length(fnames)
    soundsource = artoaWorkspace.filteredSoundsources.(fnames{i});
    [dates, toas] = artoa.data.getDuplicateAppliedDates(soundsource, toaData);
    for o = 1:length(dates)
        tableData{end + 1, 1} = fnames{i};
        tableData{end, 2} = sprintf('%3.1f', dates{o});
        tableData{end, 3} = sprintf('%3.1f ', sort(toas{o}));
    end
end

%% Save to workspace
artoaWorkspace.duplicateAppliedToa = tableData;

%% Update table
artoaGui.editTimeOfArrival.tableDuplicateAppliedToa.Data = tableData;


end

