function [involvedSoundsources, involvedSoundsourceNames] = getInvolvedSoundsources()
%GETINVOLVEDSOUNDSOURCES Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

involvedSoundsourceNames = ...
    unique(flatten( ...
        cellfun( ...
            @strsplit, strtrim(artoaWorkspace.trackParameter.soundsourceCombinations.soundsources), 'UniformOutput', false ...
        ) ...
    ));
involvedSoundsources = artoa.soundsources.extract( ...
    involvedSoundsourceNames, ...
    artoaWorkspace.filteredSoundsources ...
);

end

