function [] = switchHideDeletedPoints(~, ~)
%SWITCHVIEWSHOWALL Switches wether all data points are shown or not.
%   Switches the menu checkbox and updates the workspace accordingly.

global artoaWorkspace artoaGui;

if strcmp(artoaGui.main.menus.viewHideDeletedDataPoints.Checked, 'off')
    artoaGui.main.menus.viewHideDeletedDataPoints.Checked = 'on';
    artoaWorkspace.hideDeletedDataPoints = true;
else
    artoaGui.main.menus.viewHideDeletedDataPoints.Checked = 'off';
    artoaWorkspace.hideDeletedDataPoints = false;
end

artoa.controller.edit.updateAvailablePlots();

end

