function [exitCode] = runTest(fcnHandle)
%RUNTEST Runs the test function that is specified in the given filename

exitCode = 0;

try
    fcnHandle();
    disp("Test " + func2str(fcnHandle) + " successful!");
catch err
    disp("------- ERROR -------");
    disp("Test failed for " + func2str(fcnHandle));
    disp("Error message:");
    disp(err);
    exitCode = 1;
end



end
