function [] = buttonCopyFromOptimum(~, ~)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

%% Save empirical state
artoa.controller.edit.offsets.saveEmpiricalState();

%% Copy from optimum total offset columns to empirical columns

offsetIndicesToCopy = isnan(artoaWorkspace.editOffsets.offsets{:, 'EmpiricalOffset'});
driftIndicesToCopy = isnan(artoaWorkspace.editOffsets.offsets{:, 'EmpiricalDrift'});

artoaWorkspace.editOffsets.offsets{offsetIndicesToCopy, 'EmpiricalOffset'} = ...
    artoaWorkspace.editOffsets.offsets{offsetIndicesToCopy, 'OptimumTotalOffset'};
artoaWorkspace.editOffsets.offsets{driftIndicesToCopy, 'EmpiricalDrift'} = ...
    artoaWorkspace.editOffsets.offsets{driftIndicesToCopy, 'OptimumTotalDrift'};

%% Update GUI
artoa.controller.edit.offsets.updateGui();


end

