function [] = tableSoundsourceOffsetsEdit(~, event)
%TABLESOUNDSOURCEOFFSETSEDIT Summary of this function goes here
%   Detailed explanation goes here


global artoaGui artoaWorkspace;

%% Get data
try
    selectedColumn = event.Indices(2);
    %selectedRow = event.Indices(:, 1);
catch
    selectedColumn = NaN;
    %return;
end

%% Check if the column that has been edited is locked
if 1 <= selectedColumn & selectedColumn <= 7
    artoa.controller.edit.offsets.updateGui();
    return;
end

if ~artoa.data.hasMember(artoaWorkspace, {'editOffsets', 'offsets'})
    return;
end

%% Save to workspace
artoaWorkspace.editOffsets.offsets(:, :) = artoaGui.editOffsets.tableSoundsourceOffsets.Data;

%% Update workspace (required because this function is call by time of arrival window)
artoa.controller.edit.offsets.updateWorkspaceOffsetsTable();

%% Recalculate
artoa.controller.edit.recalculateToaGpsAndPlot();

end
