function [] = open(~, ~)
%OPENEDITTEMPERATURE Initializes the pressure editing gui.
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

%% Check if the gui is already opened

if isfield(artoaGui.figures, 'editPressure')
    figure(artoaGui.figures.editPressure);
    return
end


%% Open the gui
artoa.gui.edit.pressure();

%% Create workspace variables
artoaWorkspace.editPressure = struct();

end

