function [] = plotToaHistogram()
%PLOTTOAHISTOGRAM Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaGui;

if isfield(artoaGui.editTimeOfArrival, 'axesToaHistogram') ...
        && isvalid(artoaGui.editTimeOfArrival.axesToaHistogram)
    delete(artoaGui.editTimeOfArrival.axesToaHistogram);
end

artoaGui.editTimeOfArrival.axesToaHistogram = axes(artoaGui.editTimeOfArrival.frameToaHistogram);

artoaGui.editTimeOfArrival.plotToaHistogram = histogram( ...
    artoaGui.editTimeOfArrival.axesToaHistogram, ...
    artoaWorkspace.toaData.correlationHeight ...
);

xlabel(artoaGui.editTimeOfArrival.axesToaHistogram, 'Correlation height');
ylabel(artoaGui.editTimeOfArrival.axesToaHistogram, 'Count');

artoaGui.editTimeOfArrival.axesToaHistogram.XLim = [0 255];

% % plot colormap boundaries
hold(artoaGui.editTimeOfArrival.axesToaHistogram, 'on');
artoaGui.editTimeOfArrival.lineHistogramLowerBoundary = line( ...
    artoaGui.editTimeOfArrival.axesToaHistogram, ...
    repmat(artoaGui.editTimeOfArrival.sliderLowerBoundary.Value, 2, 1), ...
    artoaGui.editTimeOfArrival.axesToaHistogram.YLim, ...
    'Color', 'magenta' ...
);
artoaGui.editTimeOfArrival.lineHistogramUpperBoundary = line( ...
    artoaGui.editTimeOfArrival.axesToaHistogram, ...
    repmat(artoaGui.editTimeOfArrival.sliderUpperBoundary.Value, 2, 1), ...
    artoaGui.editTimeOfArrival.axesToaHistogram.YLim, ...
    'Color', 'red' ...
);
hold(artoaGui.editTimeOfArrival.axesToaHistogram, 'off');

artoaGui.figures.editTimeOfArrival.CurrentAxes = artoaGui.editTimeOfArrival.axesScatterTimeOfArrival;

end

