function [dataIsSelected] = dataPointsSelected(pHandle)
%DATAPOINTSSELECTED Checks if data points have been selected by using the pick button.
%   Returns true if the polygon exists, false otherwise.

%% Setup return variable
dataIsSelected = false;

%% Check required fields
if ~isfield(pHandle, 'userSelection') || isempty(pHandle.userSelection)
    return;
end

%% Update return variable
dataIsSelected = true;


end

