function [] = updateAvailablePlots()
%UPDATEAVAILABLEPLOTS Replots all opened edit plots.

global artoaGui;

plotsToUpdate = {'editTemperature', 'editPressure', 'editTimeOfArrival'};
controllerPackageNames = {'temperature', 'pressure', 'timeOfArrival'};

for i = 1:length(plotsToUpdate)
    if ~isfield(artoaGui, plotsToUpdate{i})
        continue;
    end
    artoa.controller.edit.(controllerPackageNames{i}).plot();
end

end

