function [] = addSoundsourceCombination(~, ~)
%ADDSOUNDSOURCECOMBINATION Summary of this function goes here
%   Detailed explanation goes here


global artoaWorkspace;

%% Insert default content
artoaWorkspace.trackParameter.soundsourceCombinations(end + 1, :) = artoa.controller.track.parameter.getDefaultCombinationCell();
try
    artoaWorkspace.trackParameter.soundsourceCombinations{end, 'combinationBegin'} = artoaWorkspace.trackParameter.soundsourceCombinations{end - 1, 'combinationEnd'} + 1;
    % get last known position
    isNotNan = ~isnan(artoaWorkspace.satData.lat_sat) & ~isnan(artoaWorkspace.satData.lon_sat);
    knownPositions = [artoaWorkspace.satData.lat_sat(isNotNan), artoaWorkspace.satData.lon_sat(isNotNan)];
    if ~(size(knownPositions, 1) == 0)
        artoaWorkspace.trackParameter.soundsourceCombinations(end, 'referencePosition') = {[num2str(knownPositions(end, 1)) ' ' num2str(knownPositions(end, 2))]};
    end
catch
end

%% Update gui
artoa.controller.track.parameter.updateGui();

end

