function [] = duplicateSoundsourceCombination(~, ~)
%DUPLICATESOUNDSOURCECOMBINATION Summary of this function goes here
%   Detailed explanation goes here


global artoaWorkspace artoaGui;

%% Get column count
columnCount = size(artoaWorkspace.trackParameter.soundsourceCombinations, 2);
%% Get selection
selectedRow = artoaWorkspace.trackParameter.selectedSoundsourceCombinationRow;
%% Get current data
combinationTable = ...
    artoa.controller.track.parameter.createCombinationsTable( ...
        artoaGui.trackParameter.tableSoundSourceCombinations.Data ...
);

%% Add above the selected
combinationTable(selectedRow + 1:end + 1, :) = combinationTable(selectedRow:end, :);
combinationTable(selectedRow, :) = combinationTable(selectedRow + 1, :);
artoaWorkspace.trackParameter.soundsourceCombinations = combinationTable;

%% Update gui
artoa.controller.track.parameter.updateGui();


end

