function [involvedSoundsources] = getSoundsourcesWithAppliedToa()
%GETINVOLVEDSOUNDSOURCES Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

involvedSoundsourceNames = fieldnames(artoaWorkspace.filteredSoundsources);
involvedSoundsources = struct();
for i = 1:length(involvedSoundsourceNames)
    if artoa.soundsources.hasAppliedToa(involvedSoundsourceNames{i}, artoaWorkspace.toaData.soundSource)
        extracted = artoa.soundsources.extract( ...
            {involvedSoundsourceNames{i}}, ...
            artoaWorkspace.filteredSoundsources ...
        );
        involvedSoundsources.(involvedSoundsourceNames{i}) = extracted{1};
        clear extracted;
    end
end

end

