function dmy = rd2dmy(rjul)
%function dmy = rd2dmy(rjul)
%
%     converts RAFOS JULIAN day (rjul) to day, month, year (dmy(1:3))
%     RAFOS JULIAN day = julian day (ref. to 24 nov 4713BC) - 2440000
%
%          greg_0h is used
%
% T. Reynaud and G. Roudaut 13/09/05


rjul = rjul(:);

%  redifined RAFOS day
%date = greg_0h(rjul+2440000);
date = artoa.vendor.greg_0h(rjul+2451545);

dmy = [date(:,3) date(:,2) date(:,1)];
